Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class Report.Settings

    java.lang.Object
      com.sun.javatest.report.Report.Settings

Enclosing class:
  Report

Deprecated. Use com.sun.javatest.report.ReportSettings instead

    @Deprecated
    public static class Report.Settings

extends java.lang.Object

This is adapter only for backward compatibility purpose.

Constructor Summary
`Report.Settings(InterviewParameters params)` Deprecated.

Method Summary
`boolean` | `isPlainEnabled()` Deprecated.
`void` | `setBackupLevels(int levels)` Deprecated.
`void` | `setEnableBackups(boolean state)` Deprecated.
`void` | `setEnableHtmlReport(boolean state)` Deprecated.
`void` | `setEnablePlainReport(boolean state)` Deprecated.
`void` | `setEnableXmlReport(boolean state)` Deprecated.
`void` | `setFilter(CompositeFilter compositeFilter)` Deprecated.
`void` | `setHtmlMainReport(boolean reportHtml, boolean indexHtml)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report.Settings

    @Deprecated
    public Report.Settings(InterviewParameters params)

  Deprecated.

Method Detail

### setEnableHtmlReport

    @Deprecated
    public void setEnableHtmlReport(boolean state)

  Deprecated.

### setHtmlMainReport

    @Deprecated
    public void setHtmlMainReport(boolean reportHtml,
                                             boolean indexHtml)

  Deprecated.

### setEnablePlainReport

    @Deprecated
    public void setEnablePlainReport(boolean state)

  Deprecated.

### setEnableXmlReport

    @Deprecated
    public void setEnableXmlReport(boolean state)

  Deprecated.

### setFilter

    @Deprecated
    public void setFilter(CompositeFilter compositeFilter)

  Deprecated.

### setEnableBackups

    @Deprecated
    public void setEnableBackups(boolean state)

  Deprecated.

### setBackupLevels

    @Deprecated
    public void setBackupLevels(int levels)

  Deprecated.

### isPlainEnabled

    @Deprecated
    public boolean isPlainEnabled()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.